# Uses of Interface
org.apache.lucene.search.Collector

Packages that use Collector
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of Collector in org.apache.lucene.search

  Classes in org.apache.lucene.search with type parameters of type Collector
  Modifier and Type
  Interface
  Description
  `interface`
  `CollectorManager<C extends Collector,T>`
  A manager of collectors.
  Classes in org.apache.lucene.search that implement Collector
  Modifier and Type
  Class
  Description
  `class`
  `CachingCollector`
  Caches all docs, and optionally also scores, coming from a search, and is then able to replay them to another collector.
  `class`
  `FilterCollector`
  `Collector` delegator.
  `class`
  `MultiCollector`
  A `Collector` which allows running a search with several `Collector`s.
  `class`
  `PositiveScoresOnlyCollector`
  A `Collector` implementation which wraps another `Collector` and makes sure only documents with scores > 0 are collected.
  `class`
  `SimpleCollector`
  Base `Collector` implementation that is used to collect all contexts.
  `class`
  `TopDocsCollector<T extends ScoreDoc>`
  A base class for all collectors that return a `TopDocs` output.
  `class`
  `TopFieldCollector`
  A `Collector` that sorts by `SortField` using `FieldComparator`s.
  `class`
  `TopScoreDocCollector`
  A `Collector` implementation that collects the top-scoring hits, returning them as a `TopDocs`.
  `class`
  `TotalHitCountCollector`
  Just counts the total number of hits.
  Fields in org.apache.lucene.search declared as Collector
  Modifier and Type
  Field
  Description
  `protected final Collector`
  FilterCollector.`in`
  Methods in org.apache.lucene.search with type parameters of type Collector
  Modifier and Type
  Method
  Description
  `<C extends Collector, T>
  T`
  IndexSearcher.`search(Query query, CollectorManager<C,T> collectorManager)`
  Lower-level search API.
  Methods in org.apache.lucene.search that return Collector
  Modifier and Type
  Method
  Description
  `Collector[]`
  MultiCollector.`getCollectors()`
  Provides access to the wrapped `Collector`s for advanced use-cases
  `Collector`
  MultiCollectorManager.`newCollector()`
  `static Collector`
  MultiCollector.`wrap(Iterable<? extends Collector> collectors)`
  Wraps a list of `Collector`s with a `MultiCollector`.
  `static Collector`
  MultiCollector.`wrap(Collector... collectors)`
  See `MultiCollector.wrap(Iterable)`.
  Methods in org.apache.lucene.search with parameters of type Collector
  Modifier and Type
  Method
  Description
  `static CachingCollector`
  CachingCollector.`create(Collector other, boolean cacheScores, double maxRAMMB)`
  Create a new `CachingCollector` that wraps the given collector and caches documents and scores up to the specified RAM threshold.
  `static CachingCollector`
  CachingCollector.`create(Collector other, boolean cacheScores, int maxDocsToCache)`
  Create a new `CachingCollector` that wraps the given collector and caches documents and scores up to the specified max docs threshold.
  `abstract void`
  CachingCollector.`replay(Collector other)`
  Replays the cached doc IDs (and scores) to the given Collector.
  `protected void`
  IndexSearcher.`search(IndexSearcher.LeafReaderContextPartition[] partitions, Weight weight, Collector collector)`
  Lower-level search API.
  `void`
  IndexSearcher.`search(Query query, Collector collector)`
  Deprecated.
  This method is being deprecated in favor of `IndexSearcher.search(Query, CollectorManager)` due to its support for concurrency in IndexSearcher
  `protected void`
  IndexSearcher.`searchLeaf(LeafReaderContext ctx, int minDocId, int maxDocId, Weight weight, Collector collector)`
  Lower-level search API
  `static Collector`
  MultiCollector.`wrap(Collector... collectors)`
  See `MultiCollector.wrap(Iterable)`.
  Method parameters in org.apache.lucene.search with type arguments of type Collector
  Modifier and Type
  Method
  Description
  `Object[]`
  MultiCollectorManager.`reduce(Collection<Collector> reducableCollectors)`
  `static Collector`
  MultiCollector.`wrap(Iterable<? extends Collector> collectors)`
  Wraps a list of `Collector`s with a `MultiCollector`.
  Constructors in org.apache.lucene.search with parameters of type Collector
  Modifier
  Constructor
  Description
  ``
  `FilterCollector(Collector in)`
  Sole constructor.
  ``
  `PositiveScoresOnlyCollector(Collector in)`